// DiaKunde.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "splitter.h"
#include "DiaKunde.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DiaKunde 


DiaKunde::DiaKunde(CWnd* pParent /*=NULL*/)
	: CDialog(DiaKunde::IDD, pParent)
{
	//{{AFX_DATA_INIT(DiaKunde)
	m_name = _T("");
	m_nummer = 0;
	m_branche = 0;
	m_umsatzziel = 0;
	m_id = 0;
	m_adresse = 0;
	//}}AFX_DATA_INIT
}


void DiaKunde::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DiaKunde)
	DDX_Text(pDX, IDC_EDIT1, m_name);
	DDX_Text(pDX, IDC_EDIT2, m_nummer);
	DDX_Text(pDX, IDC_EDIT3, m_branche);
	DDX_Text(pDX, IDC_EDIT4, m_umsatzziel);
	DDX_Text(pDX, IDC_EDIT5, m_id);
	DDX_Text(pDX, IDC_EDIT6, m_adresse);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DiaKunde, CDialog)
	//{{AFX_MSG_MAP(DiaKunde)
	ON_BN_CLICKED(IDZURUECK, OnZurueck)
	ON_BN_CLICKED(IDVOR, OnVor)
	ON_BN_CLICKED(IDUPDATE, OnUpdate)
	ON_BN_CLICKED(IDDEL, OnDel)
	ON_BN_CLICKED(IDADD, OnAdd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DiaKunde 

void DiaKunde::OnZurueck() 
{
	rec.MovePrev();
	if (rec.IsBOF())
		rec.MoveNext();
	Update(true);
}

void DiaKunde::OnVor() 
{
	rec.MoveNext();
	if (rec.IsEOF())
		rec.MovePrev();
	Update(true);
}

void DiaKunde::OnUpdate() 
{
	rec.Edit();
	Update(false);
	rec.Update();
}

void DiaKunde::OnDel() 
{
	rec.Delete();
	rec.Requery();
	Update(true);
}

void DiaKunde::OnAdd() 
{
	rec.AddNew();
	Update(false);
	rec.Update();
	rec.Requery();
	Update(true);
}

void DiaKunde::Update(bool db_to_ctrl)
{
	if (db_to_ctrl)
	{
		m_adresse = rec.m_Adresse;
		m_branche = rec.m_Branche;
		m_id = rec.m_Index;
		m_name = rec.m_Name;
		m_nummer = rec.m_Kundennummer;
		m_umsatzziel = rec.m_Umsatzziel;
		UpdateData(false);
	}else
	{
		UpdateData(true);
		rec.m_Adresse = m_adresse;
		rec.m_Branche = m_branche;
		rec.m_Name = m_name;
		rec.m_Kundennummer = m_nummer;
		rec.m_Umsatzziel = m_umsatzziel;
	}
}

BOOL DiaKunde::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	rec.Open();
	Update(true);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}
